Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JMSDestinationRuntimeMBean

public interface JMSDestinationRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS destination (topic or queue).

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Method Summary
`long` | `getBytesCurrentCount()` Returns the current number of bytes stored in the destination.
`long` | `getBytesHighCount()` Returns the peak number of bytes stored in the destination since the last reset.
`long` | `getBytesPendingCount()` Returns the number of pending bytes stored in the destination.
`long` | `getBytesReceivedCount()` Returns the number of bytes received in this destination since the last reset.
`long` | `getBytesThresholdTime()` Returns the amount of time in the threshold condition since the last reset.
`long` | `getConsumersCurrentCount()` Returns the current number of consumers accessing this destination.
`long` | `getConsumersHighCount()` Returns the peak number of consumers accessing this destination since the last reset.
`long` | `getConsumersTotalCount()` Returns the total number of consumers accessing this destination since the last reset.
`java.lang.String` | `getDestinationType()` Returns weblogic.management.configuration.JMSConstants.DESTINATION_TYPE_QUEUE or weblogic.management.configuration.JMSConstants.DESTINATION_TYPE_TOPIC
`JMSDurableSubscriberRuntimeMBean[]` | `getDurableSubscribers()` Returns an array of durable subscriber run-time MBeans for this destination.
`long` | `getMessagesCurrentCount()` Returns the current number of messages in the destination.
`long` | `getMessagesHighCount()` Returns the peak number of messages in the destination since the last reset.
`long` | `getMessagesPendingCount()` Returns the number of pending messages in the destination.
`long` | `getMessagesReceivedCount()` Returns the number of messages received in this destination since that reset.
`long` | `getMessagesThresholdTime()` Returns the amount of time in the threshold condition since the last reset.
`void` | `pause()` Pauses the destination so that new messages are not accepted.
`void` | `resume()` Resumes the destination so that new messages are accepted.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getDurableSubscribers

    public JMSDurableSubscriberRuntimeMBean[] getDurableSubscribers()

  Returns an array of durable subscriber run-time MBeans for this destination.

  Returns:
    The durableSubscribers value

### getConsumersCurrentCount

    public long getConsumersCurrentCount()

  Returns the current number of consumers accessing this destination.

  Returns:
    The consumersCurrentCount value

### getConsumersHighCount

    public long getConsumersHighCount()

  Returns the peak number of consumers accessing this destination since the last reset.

  Returns:
    The consumersHighCount value

### getConsumersTotalCount

    public long getConsumersTotalCount()

  Returns the total number of consumers accessing this destination since the last reset.

  Returns:
    The consumersTotalCount value

### getMessagesCurrentCount

    public long getMessagesCurrentCount()

  Returns the current number of messages in the destination. This does not include the pending messages.

  Returns:
    The messagesCurrentCount value

### getMessagesPendingCount

    public long getMessagesPendingCount()

  Returns the number of pending messages in the destination. Pending messages are over and above the current number of messages. A pending message is one that has either been sent in a trasaction and not committed, or that has been received and not committed or acknowledged.

  Returns:
    The messagesPendingCount value

### getMessagesHighCount

    public long getMessagesHighCount()

  Returns the peak number of messages in the destination since the last reset.

  Returns:
    The messagesHighCount value

### getMessagesReceivedCount

    public long getMessagesReceivedCount()

  Returns the number of messages received in this destination since that reset.

  Returns:
    The messagesReceivedCount value

### getMessagesThresholdTime

    public long getMessagesThresholdTime()

  Returns the amount of time in the threshold condition since the last reset.

  Returns:
    The messagesThresholdTime value

### getBytesCurrentCount

    public long getBytesCurrentCount()

  Returns the current number of bytes stored in the destination. This does not include the pending bytes.

  Returns:
    The bytesCurrentCount value

### getBytesPendingCount

    public long getBytesPendingCount()

  Returns the number of pending bytes stored in the destination. Pending bytes are over and above the current number of bytes.

  Returns:
    The bytesPendingCount value

### getBytesHighCount

    public long getBytesHighCount()

  Returns the peak number of bytes stored in the destination since the last reset.

  Returns:
    The bytesHighCount value

### getBytesReceivedCount

    public long getBytesReceivedCount()

  Returns the number of bytes received in this destination since the last reset.

  Returns:
    The bytesReceivedCount value

### getBytesThresholdTime

    public long getBytesThresholdTime()

  Returns the amount of time in the threshold condition since the last reset.

  Returns:
    The bytesThresholdTime value

### getDestinationType

    public java.lang.String getDestinationType()

  Returns weblogic.management.configuration.JMSConstants.DESTINATION_TYPE_QUEUE or weblogic.management.configuration.JMSConstants.DESTINATION_TYPE_TOPIC

  Returns:
    The destinationType value

### pause

    public void pause()

  Pauses the destination so that new messages are not accepted.

### resume

    public void resume()

  Resumes the destination so that new messages are accepted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD